# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`fetchcert`](#fetchcert): Defaults and hiera support for fetchcert

**Defined types**

* [`fetchcert::fetch`](#fetchcertfetch): Fetch a certificate from a remote host and download it to a local file.

## Classes

### fetchcert

Defaults and hiera support for fetchcert

#### Parameters

The following parameters are available in the `fetchcert` class.

##### `source_port`

Data type: `Integer`

Port, that provides the certificate. Defaults to 443

##### `openssl_command`

Data type: `String`

Command to start openssl

##### `manage_package`

Data type: `Boolean`



##### `package_name`

Data type: `String`



##### `package_ensure`

Data type: `String`



##### `package_provider`

Data type: `String`



## Defined types

### fetchcert::fetch

Fetch a certificate from a remote host and download it to a local file.

#### Parameters

The following parameters are available in the `fetchcert::fetch` defined type.

##### `source_host`

Data type: `String`

Hostname or IP of the host providing the certificate

##### `target`

Data type: `Optional[String]`

Target file path, defaults to type name

Default value: `undef`

##### `source_port`

Data type: `Optional[Integer]`

Port, that provides the certificate

Default value: `undef`

##### `openssl_command`

Data type: `Optional[String]`

Command to start openssl

Default value: `undef`

##### `package_name`

Data type: `Optional[String]`

Name of the os package, that contains the OpenSSL command

Default value: `undef`

##### `package_ensure`

Data type: `Optional[String]`

Ensure for the package type

Default value: `undef`

##### `manage_package`

Data type: `Optional[Boolean]`



Default value: `undef`

##### `package_provider`

Data type: `Optional[String]`



Default value: `undef`

